summaryrefslogtreecommitdiffstats
path: root/libraries/libmatroska
diff options
context:
space:
mode:
author Andrew Strong2010-05-11 22:54:08 +0200
committer David Somero2010-05-11 22:54:08 +0200
commit19ff063af4b5a6e45209ffcbffd78385d37cca76 (patch)
tree1c425f4481503028a174b680027d4356e756da11 /libraries/libmatroska
parentffc2ab630b7aeb26d028135a13cac78d0f34397c (diff)
downloadslackbuilds-19ff063af4b5a6e45209ffcbffd78385d37cca76.tar.gz
libraries/libmatroska: Added to 12.1 repository
Diffstat (limited to 'libraries/libmatroska')
-rw-r--r--libraries/libmatroska/README6
-rw-r--r--libraries/libmatroska/libmatroska.SlackBuild81
-rw-r--r--libraries/libmatroska/libmatroska.info8
-rw-r--r--libraries/libmatroska/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/libraries/libmatroska/README b/libraries/libmatroska/README
new file mode 100644
index 0000000000..6262c11b93
--- /dev/null
+++ b/libraries/libmatroska/README
@@ -0,0 +1,6 @@
+libmatroska is a required library for the program mkvtoolnix
+which creates and manipulates .mkv files (matroska video) and
+.mka files (matroska audio).
+'Matroska' is an extensible open standard Audio/Video container.
+
+Requires libebml available at slackbuilds.org \ No newline at end of file
diff --git a/libraries/libmatroska/libmatroska.SlackBuild b/libraries/libmatroska/libmatroska.SlackBuild
new file mode 100644
index 0000000000..5910f72524
--- /dev/null
+++ b/libraries/libmatroska/libmatroska.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware 12 build script for libmatroska
+
+# Copyright 2008-2009 Andrew Strong (http://www.andrews-corner.org)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libmatroska
+VERSION=0.8.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make prefix=/usr sharedlib -C make/linux
+make prefix=$PKG/usr install -C make/linux
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Add a documentation directory:
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE.LGPL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libmatroska/libmatroska.info b/libraries/libmatroska/libmatroska.info
new file mode 100644
index 0000000000..f66349276f
--- /dev/null
+++ b/libraries/libmatroska/libmatroska.info
@@ -0,0 +1,8 @@
+PRGNAM="libmatroska"
+VERSION="0.8.1"
+HOMEPAGE="http://www.bunkus.org/videotools/mkvtoolnix/source.html"
+DOWNLOAD="http://dl.matroska.org/downloads/libmatroska/libmatroska-0.8.1.tar.bz2"
+MD5SUM="20cf624ace0c58a54c7752eebfbc0b19"
+MAINTAINER="Andrew Strong"
+EMAIL="andrew.david.45@gmail.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/libraries/libmatroska/slack-desc b/libraries/libmatroska/slack-desc
new file mode 100644
index 0000000000..1e1585568f
--- /dev/null
+++ b/libraries/libmatroska/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+libmatroska: libmatroska (an extensible open standard Audio/Video container)
+libmatroska:
+libmatroska: libmatroska is a required library for the program mkvtoolnix
+libmatroska: which creates and manipulates .mkv files (matroska video) and
+libmatroska: .mka files (matroska audio).
+libmatroska: 'Matroska' is an extensible open standard Audio/Video container.
+libmatroska:
+libmatroska:
+libmatroska: http://www.bunkus.org/videotools/mkvtoolnix/source.html
+libmatroska:
+libmatroska: \ No newline at end of file